INSERT INTO PURCHASE_STATUS (CODE, DESCRIPTION, INTERNAL_DESCRIPTION, ACTIVE) VALUES ('R', 'Reversed', 'Reversed', 'Y');

ALTER TABLE PURCHASE_ORDER
ADD DATE_SENT DATE;

DROP VIEW V_PURCHASE_ORDER;

CREATE OR REPLACE VIEW V_PURCHASE_ORDER AS
SELECT P.*, 
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS SUPPLIER 
FROM PURCHASE_ORDER P
LEFT OUTER JOIN KUPCI K ON P.SUPPLIER_ID=K.ID
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2231, SYSDATE, '5.5', 2151, 'Purchase order')
;
